Subject: [forces] FeObject FEState

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 18 Feb 2013 06:20:13 -0500

folks,

While doing intense review of the CEHA with Evangelos so we can publish
we came across an old issue. FEObject::FEState is tagged as read-only.
The CE controls the transition from OperEnable to/from AdminDisable but
that cant happen if it is RO.
We needed this during testing - so an easy solution is to change FEState
to be RW.
Q: What is the best practise thing to do amongst:

a) use the CEHA as an update to specify that this field is considered RW
b) Create an errata for RFC 5812
c) Leave it alone - add a new component in the FEPO LFB to control the
forwarding operations (seems more natural from an operational view).

cheers,
jamal

---

From: Joel <[email-masked]>
Date: Mon, 18 Feb 2013 11:07:41 -0500

Given that we simltaneously specified that this was RO and that the CE 
needed to change this, I would make this an errata.  I would inlcude a 
line in the CEHA draft mentioning the errata to explain t readers why 
what is describd there is consistent with the existing mechanisms.

Yours,
Joel

On 2/18/2013 6:20 AM, Jamal Hadi Salim wrote:
> _______________________________________________
> forces mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/forces
>

---

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 18 Feb 2013 13:42:10 -0500

Thanks Joel. I will submit an errata - and we have updated the
draft to point out this fact.

cheers,
jamal

On Mon, Feb 18, 2013 at 11:07 AM, Joel <[email-masked]> wrote:
> needed to change this, I would make this an errata.  I would inlcude a line
> in the CEHA draft mentioning the errata to explain t readers why what is
> describd there is consistent with the existing mechanisms.
>
> Yours,
> Joel
>
>